# ANT property file for freehep-tools.jar
#
# Author: Mark Donszelmann
# Version: $Id: freehep-tools.properties,v 1.1.1.1 2004/05/31 05:08:55 kuromaru Exp $
#
#
title=FreeHEP Tools
name=freehep-tools
packages=org.freehep.aid.*, org.freehep.jaco.*, org.freehep.tools.*
packages.exclude=org.freehep.jaco.test.*, org.freehep.tools.doclet.*, org.freehep.tools.servlet.*
compile.excludes=org/freehep/tools/GenerateStatus.java, org/freehep/tools/TransformStatus.java
jar.excludes=org/freehep/jaco/*
jar.suffixes=*.class, *.txt, *.gif, *.properties, *.tvm, *.ivm, *.xslt, *.xsd
javacc.includes=org/freehep/aid/AidParser.jj, org/freehep/jaco/rtti/java/JavaParser.jj, org/freehep/jaco/rtti/cpp/CPPParser.jj, org/freehep/jaco/rtti/cpp/CPPParser3rd.jj
test.includes=org.freehep.aid.test.TestSuite
test.aid=true

aid.config.dir=org/freehep/aid/test
aid.cpp.dir=org/freehep/aid/test/include
aid.includes=org/freehep/aid/test/ITestArrays.aid \
             org/freehep/aid/test/ITestCollections.aid \
             org/freehep/aid/test/ITestConstants.aid \
             org/freehep/aid/test/ITestEmpty.aid \
             org/freehep/aid/test/ITestEnumerations.aid \
             org/freehep/aid/test/ITestInterface.aid \
             org/freehep/aid/test/ITestObjects.aid \
             org/freehep/aid/test/ITestPrimitives.aid \
             org/freehep/aid/test/ITestVoid.aid \
             org/freehep/aid/test/dev/ITestNameSpace.aid \
             org/freehep/aid/test/dev/ITestNameSpace2.aid
aid.jni.dir=org/freehep/aid/test/jni
aid.jni.includes=
